Solid Edge Framework Type Library
SetRotationPoint Method
'X' coordinate of Rotation Point.
'Y' coordinate of Rotation Point.
'Z' coordinate of Rotation Point.
Description
Set the rotation focus to be free rotation about an explicit point where X, Y, and Z define the point in top level model coordinates.
Syntax
Visual Basic
Public Sub SetRotationPoint( _
   ByVal dPointX As Double, _
   ByVal dPointY As Double, _
   ByVal dPointZ As Double _
) 
Parameters
dPointX
'X' coordinate of Rotation Point.
dPointY
'Y' coordinate of Rotation Point.
dPointZ
'Z' coordinate of Rotation Point.
Example
Private Sub SetRotationPoint_Click(sender As Object, e As EventArgs) Handles SetRotationPoint.Click
    Dim objApplication As SolidEdgeFramework.Application = Nothing
    Dim objView As SolidEdgeFramework.View = Nothing
    Dim objCurWindow As SolidEdgeFramework.Window
    
    
        Try
            objApplication = Marshal.GetActiveObject("SolidEdge.Application")
            objCurWindow = objApplication.ActiveWindow

            objView = objCurWindow.View
            Dim Result = MsgBox("Do you want to Set Rotation Point to 0,0?", MsgBoxStyle.YesNoCancel, "3DConnexion")
            If Result = DialogResult.Yes Then
                'Set Rotation Point to 0,0,0
                objView.SetRotationPoint(0, 0, 0)
            End If
        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try
End Sub
See Also

View Object  | View Members  | Solid Edge ST4 - What's New